%define	module	PGP-GPG-MessageProcessor
%define	name	perl-%{module}
%define	version	0.4.5
%define	release	7mdk

Name:		%{name}
Summary:	Perl module that supplies object methods for interacting with GnuPG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
This module provides an interface to the encryption/decryption/signing/
verifying methods of GNU Privacy Gaurd.  It does not provide keyring
manipulation.

%prep -q
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING  MANIFEST NEWS  README  TODO
%{perl_vendorlib}/PGP/GPG/*
%_mandir/*/*

%changelog
* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.5-7mdk
- rebuild for new perl
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- cosmetics

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.5-6mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-5mdk
- buildrequires

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-4mdk
- rebuild

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-3mdk
- rebuild

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-2mdk
- macros

* Wed Jun 21 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.4.5-1mdk
- initial specfile
- bzip sources
